Bug 1091111 - [abrt] libreoffice-core: operator-=(): soffice.bin killed by SIGSEGV [NEEDINFO]
Summary: [abrt] libreoffice-core: operator-=(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e94ac8c699cd290dba1b0a7c6a0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-24 22:21 UTC by Tim Becker
Modified: 2014-10-13 09:38 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-09 08:24:22 UTC
caolanm: needinfo? (tbecker)


Attachments (Terms of Use)
File: backtrace (115.25 KB, text/plain)
2014-04-24 22:21 UTC, Tim Becker
no flags Details
File: cgroup (172 bytes, text/plain)
2014-04-24 22:21 UTC, Tim Becker
no flags Details
File: core_backtrace (27.84 KB, text/plain)
2014-04-24 22:21 UTC, Tim Becker
no flags Details
File: dso_list (26.43 KB, text/plain)
2014-04-24 22:21 UTC, Tim Becker
no flags Details
File: environ (3.07 KB, text/plain)
2014-04-24 22:21 UTC, Tim Becker
no flags Details
File: exploitable (82 bytes, text/plain)
2014-04-24 22:21 UTC, Tim Becker
no flags Details
File: limits (1.29 KB, text/plain)
2014-04-24 22:21 UTC, Tim Becker
no flags Details
File: maps (134.04 KB, text/plain)
2014-04-24 22:21 UTC, Tim Becker
no flags Details
File: open_fds (792 bytes, text/plain)
2014-04-24 22:21 UTC, Tim Becker
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-04-24 22:21 UTC, Tim Becker
no flags Details
File: var_log_messages (551 bytes, text/plain)
2014-04-24 22:21 UTC, Tim Becker
no flags Details

Description Tim Becker 2014-04-24 22:21:20 UTC
Version-Release number of selected component:
libreoffice-core-4.2.3.3-6.fc20

Additional info:
reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///tmp/GCI%20Solaris%20Virtualization%20Candidates-1.xlsx --splash-pipe=5
crash_function: operator-=
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.13.10-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 operator-= at /usr/src/debug/libreoffice-4.2.3.3/include/tools/gen.hxx:156
 #1 LogicToPagePos at /usr/src/debug/libreoffice-4.2.3.3/include/svx/svdpagv.hxx:214
 #2 sd::DrawViewShell::GetStatusBarState at /usr/src/debug/libreoffice-4.2.3.3/sd/source/ui/view/drviewsa.cxx:660
 #3 sd::DrawViewShell::ShowMousePosInfo at /usr/src/debug/libreoffice-4.2.3.3/sd/source/ui/view/drviews4.cxx:823
 #4 sd::DrawViewShell::MouseMove at /usr/src/debug/libreoffice-4.2.3.3/sd/source/ui/view/drviews4.cxx:335
 #5 ImplHandleMouseEvent at /usr/src/debug/libreoffice-4.2.3.3/vcl/source/window/winproc.cxx:766
 #6 ImplHandleSalMouseMove at /usr/src/debug/libreoffice-4.2.3.3/vcl/source/window/winproc.cxx:2036
 #7 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.2.3.3/vcl/source/window/winproc.cxx:2401
 #8 CallCallback at /usr/src/debug/libreoffice-4.2.3.3/vcl/inc/salframe.hxx:243
 #9 X11SalFrame::HandleMouseEvent at /usr/src/debug/libreoffice-4.2.3.3/vcl/unx/generic/window/salframe.cxx:2915

Comment 1 Tim Becker 2014-04-24 22:21:24 UTC
Created attachment 889464 [details]
File: backtrace

Comment 2 Tim Becker 2014-04-24 22:21:26 UTC
Created attachment 889465 [details]
File: cgroup

Comment 3 Tim Becker 2014-04-24 22:21:27 UTC
Created attachment 889466 [details]
File: core_backtrace

Comment 4 Tim Becker 2014-04-24 22:21:29 UTC
Created attachment 889467 [details]
File: dso_list

Comment 5 Tim Becker 2014-04-24 22:21:31 UTC
Created attachment 889468 [details]
File: environ

Comment 6 Tim Becker 2014-04-24 22:21:32 UTC
Created attachment 889469 [details]
File: exploitable

Comment 7 Tim Becker 2014-04-24 22:21:34 UTC
Created attachment 889470 [details]
File: limits

Comment 8 Tim Becker 2014-04-24 22:21:36 UTC
Created attachment 889471 [details]
File: maps

Comment 9 Tim Becker 2014-04-24 22:21:38 UTC
Created attachment 889472 [details]
File: open_fds

Comment 10 Tim Becker 2014-04-24 22:21:39 UTC
Created attachment 889473 [details]
File: proc_pid_status

Comment 11 Tim Becker 2014-04-24 22:21:41 UTC
Created attachment 889474 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-04-25 11:00:51 UTC
hmm, GetSdrPageView returned NULL at that point. Is this reproducible ?

Comment 13 Reartes Guillermo 2014-10-10 16:05:58 UTC
ABRT pointed to this bugreport.

Impress crashed when i double clicked a slide.

# rpm -qa | grep -i libreoffice
libreoffice-math-4.2.6.3-7.fc20.x86_64
libreoffice-langpack-es-4.2.6.3-7.fc20.x86_64
libreoffice-draw-4.2.6.3-7.fc20.x86_64
libreoffice-calc-4.2.6.3-7.fc20.x86_64
libreoffice-pyuno-4.2.6.3-7.fc20.x86_64
libreoffice-impress-4.2.6.3-7.fc20.x86_64
libreoffice-core-4.2.6.3-7.fc20.x86_64
libreoffice-pdfimport-4.2.6.3-7.fc20.x86_64
libreoffice-emailmerge-4.2.6.3-7.fc20.x86_64
libreoffice-graphicfilter-4.2.6.3-7.fc20.x86_64
libreoffice-ure-4.2.6.3-7.fc20.x86_64
libreoffice-writer-4.2.6.3-7.fc20.x86_64
libreoffice-opensymbol-fonts-4.2.6.3-7.fc20.noarch
libreoffice-kde-4.2.6.3-7.fc20.x86_64

Comment 14 Caolan McNamara 2014-10-13 09:38:47 UTC
caolanm->greartes: Can you reproduce it, i.e. do you have a presentation which will crash for you if you click on that slide again ?


Note You need to log in before you can comment on or make changes to this bug.